# class IntervalSkipList::HeadNode

### Attributes

forward[R]
forward_markers[R]
height[R]

### Public Class Methods

new(height) click to toggle source

    # File lib/treetop/runtime/interval_skip_list/head_node.rb, line 5
    def initialize(height)
      @height = height
      @forward = Array.new(height, nil)
      @forward_markers = Array.new(height) {|i| []}
    end

### Public Instance Methods

top_level() click to toggle source

    # File lib/treetop/runtime/interval_skip_list/head_node.rb, line 11
    def top_level
      height - 1
    end